local LittleHelper, namespace = ...

-- ====================================================================================================
-- =                   All pet spells, just so we easy can find them if we need to.                   =
-- ====================================================================================================

--[[

    17253 = Bite (Rank 1)
    17255 = Bite (Rank 2)
    17256 = Bite (Rank 3)
    17257 = Bite (Rank 4)
    17258 = Bite (Rank 5)
    17259 = Bite (Rank 6)
    17260 = Bite (Rank 7)
    17261 = Bite (Rank 8)

    7371 = Charge (Rank 1)
    26177 = Charge (Rank 2)
    26178 = Charge (Rank 3)
    26179 = Charge (Rank 4) <-- There is no known training source for this spell.
    26201 = Charge (Rank 5)
    27685 = Charge (Rank 6)

    16827 = Claw (Rank 1)
    16828 = Claw (Rank 2)
    16829 = Claw (Rank 3)
    16830 = Claw (Rank 4)
    16831 = Claw (Rank 5)
    16832 = Claw (Rank 6)
    3010 = Claw (Rank 7)
    3009 = Claw (Rank 8)

    1742 = Cower (Rank 1)
    1753 = Cower (Rank 2)
    1754 = Cower (Rank 3)
    1755 = Cower (Rank 4)
    1756 = Cower (Rank 5)
    16697 = Cower (Rank 6)

    23099 = Dash (Rank 1)
    23109 = Dash (Rank 2)
    23110 = Dash (Rank 3)

    23145 = Dive (Rank 1)
    23147 = Dive (Rank 2)
    23148 = Dive (Rank 3)

    24604 = Furious Howl (Rank 1)
    24605 = Furious Howl (Rank 2)
    24603 = Furious Howl (Rank 3)
    24597 = Furious Howl (Rank 4)

    24844 = Lightning Breath (Rank 1) <-- There is no known training source for this spell.
    25008 = Lightning Breath (Rank 2)
    25009 = Lightning Breath (Rank 3)
    25010 = Lightning Breath (Rank 4)
    25011 = Lightning Breath (Rank 5)
    25012 = Lightning Breath (Rank 6)

    24450 = Prowl (Rank 1)
    24452 = Prowl (Rank 2)
    24453 = Prowl (Rank 3)

    24640 = Scorpid Poison (Rank 1)
    24583 = Scorpid Poison (Rank 2)
    24586 = Scorpid Poison (Rank 3)
    24587 = Scorpid Poison (Rank 4)

    24423 = Screech (Rank 1)
    24577 = Screech (Rank 2)
    24578 = Screech (Rank 3)
    24579 = Screech (Rank 4)

    26064 = Shell Shield (Rank 1)

    26090 = Thunderstomp (Rank 1)
    26187 = Thunderstomp (Rank 2)
    26188 = Thunderstomp (Rank 3)
]]--

-- ====================================================================================================
-- =            All the mobs with abilities that we can learn and all spell ID's and ranks            =
-- ====================================================================================================

ABILITY_LIST = {
    [30] = { 17253, 1, },                           -- Bite (Rank 1)                                            Forest Spider (Spider, 5-6, Elwynn Forest)
    [113] = { 7371, 1, },                           -- Charge (Rank 1)                                          Stonetusk Boar (Boar, 7-8, Elwynn Forest)
    [118] = { 17255, 2, },                          -- Bite (Rank 2)                                            Prowler (Wolf, 9-10, Elwynn Forest)
    [119] = { 7371, 1, },                           -- Charge (Rank 1)                                          Longsnout (Boar, 10-11, Elwynn Forest)
    [154] = { 24423, 1, },                          -- Screech (Rank 1)                                         Greater Fleshripper (Carrion Bird, 16-17, Westfall)
    [157] = { 26177, 2, },                          -- Charge (Rank 2)                                          Goretusk (Boar, 14-15, Westfall)
    [330] = { 7371, 1, },                           -- Charge (Rank 1)                                          Princess (Boar, 9, Elwynn Forest)
    [345] = { 26178, 3, },                          -- Charge (Rank 3)                                          Bellygrub (Boar, 24, Redridge Mountains)
    [390] = { 7371, 1, },                           -- Charge (Rank 1)                                          Porcine Entourage (Boar, 7, Elwynn Forest)
    [442] = { 17255, 2, },                          -- Bite (Rank 2)                                            Tarantula (Spider, 15-16, Redridge Mountains)
    [454] = { 26177, 2, },                          -- Charge (Rank 2)                                          Young Goretusk (Boar, 12-13, Westfall)
    [505] = { 17256, 3, },                          -- Bite (Rank 3)                                            Greater Tarantula (Spider, 19-20, Redridge Mountains)
    [521] = { 17256, 3, },                          -- Bite (Rank 3)                                            Lupos (Wolf, 23, Duskwood)
    [524] = { 7371, 1, },                           -- Charge (Rank 1)                                          Rockhide Boar (Boar, 7-8, Elwynn Forest)
    [547] = { 26177, 2, },                          -- Charge (Rank 2)                                          Great Goretusk (Boar, 16-17, Redridge Mountains)
    [569] = { 17256, 3, },                          -- Bite (Rank 3)                                            Green Recluse (Spider, 21-22, Duskwood)
    [574] = { 17257, 4, },                          -- Bite (Rank 4)                                            Naraxis (Spider, 27, Duskwood)
    [616] = { 17256, 3, },                          -- Bite (Rank 3)                                            Chatter (Spider, 23, Redridge Mountains)
    [628] = { 17257, 4, },                          -- Bite (Rank 4)                                            Black Ravager (Wolf, 24-25, Duskwood)
    [681] = { 1754, 3, },                           -- Cower (Rank 3)                                           Young Stranglethorn Tiger (Cat, 30-31, Stranglethorn Vale)
    [682] = { 23099, 1, },                          -- Dash (Rank 1)                                            Stranglethorn Tiger (Cat, 32-33, Stranglethorn Vale)
    [683] = { 1754, 3, },                           -- Cower (Rank 3)                                           Young Panther (Cat, 30-31, Stranglethorn Vale)
    [684] = { 24450, 1, },                          -- Prowl (Rank 1)                                           Shadowmaw Panther (Cat, 37-38, Stranglethorn Vale)
    [708] = { 7371, 1, },                           -- Charge (Rank 1)                                          Small Crag Boar (Boar, 3, Dun Morogh)
    [728] = { 23109, 2, },                          -- Dash (Rank 2)                                            Bhag'thera (Cat, 40, Stranglethorn Vale)
    [729] = { 23099, 1, },                          -- Dash (Rank 1)                                            Sin'Dall (Cat, 37, Stranglethorn Vale)
    [731] = { 16832, 6, 23109, 2, },                -- Claw (Rank 6), Dash (Rank 2)                             King Bangalash (Cat, 43, Stranglethorn Vale)
    [736] = { 1754, 3, },                           -- Cower (Rank 3)                                           Panther (Cat, 32-33, Stranglethorn Vale)
    [767] = { 23099, 1, },                          -- Dash (Rank 1)                                            Swamp Jaguar (Cat, 36-37, Swamp of Sorrows)
    [768] = { 24450, 1, },                          -- Prowl (Rank 1)                                           Shadow Panther (Cat, 39-40, Swamp of Sorrows)
    [769] = { 17259, 6, },                          -- Bite (Rank 6)                                            Deathstrike Tarantula (Spider, 40-41, Swamp of Sorrows)
    [822] = { 16828, 2, },                          -- Claw (Rank 2)                                            Young Forest Bear (Bear, 8-9, Elwynn Forest)
    [833] = { 17255, 2, 24604, 1, },                -- Bite (Rank 2), Furious Howl (Rank 1)                     Coyote Packleader (Wolf, 11-12, Westfall)
    [834] = { 17255, 2, },                          -- Bite (Rank 2)                                            Coyote (Wolf, 10-11, Westfall)
    [922] = { 16832, 6, },                          -- Claw (Rank 6)                                            Silt Crawler (Crab, 40-41, Swamp of Sorrows)
    [976] = { 23099, 1, },                          -- Dash (Rank 1)                                            Kurzen War Tiger (Cat, 32-33, Stranglethorn Vale)
    [1087] = { 17259, 6, },                         -- Bite (Rank 6)                                            Sawtooth Snapper (Crocolisk, 41-42, Swamp of Sorrows)
    [1088] = { 16832, 6, },                         -- Claw (Rank 6)                                            Monstrous Crawler (Crab, 43-44, Swamp of Sorrows)
    [1108] = { 26090, 1, },                         -- Thunderstomp (Rank 1)                                    Mistvale Gorilla (Gorilla, 32-33, Stranglethorn Vale)
    [1112] = { 17257, 4, },                         -- Bite (Rank 4)                                            Leech Widow (Spider, 24, Wetlands)
    [1114] = { 26090, 1, },                         -- Thunderstomp (Rank 1)                                    Jungle Thunderer (Gorilla, 37-38, Stranglethorn Vale)
    [1125] = { 7371, 1, },                          -- Charge (Rank 1)                                          Crag Boar (Boar, 5-6, Dun Morogh)
    [1126] = { 7371, 1, },                          -- Charge (Rank 1)                                          Large Crag Boar (Boar, 6-7, Dun Morogh)
    [1127] = { 7371, 1, },                          -- Charge (Rank 1)                                          Elder Crag Boar (Boar, 7-8, Dun Morogh)
    [1130] = { 16828, 2, },                         -- Claw (Rank 2)                                            Bjarn (Bear, 12, Dun Morogh)
    [1131] = { 17253, 1, },                         -- Bite (Rank 1)                                            Winter Wolf (Wolf, 7-8, Dun Morogh)
    [1132] = { 17255, 2, },                         -- Bite (Rank 2)                                            Timber (Wolf, 10, Dun Morogh)
    [1133] = { 17255, 2, },                         -- Bite (Rank 2)                                            Starving Winter Wolf (Wolf, 8-9, Dun Morogh)
    [1138] = { 17253, 1, },                         -- Bite (Rank 1)                                            Snow Tracker Wolf (Wolf, 6-7, Dun Morogh)
    [1185] = { 17256, 3, },                         -- Bite (Rank 3)                                            Wood Lurker (Spider, 17-18, Loch Modan)
    [1189] = { 16829, 3, },                         -- Claw (Rank 3)                                            Black Bear Patriarch (Bear, 16-17, Loch Modan)
    [1190] = { 7371, 1, },                          -- Charge (Rank 1)                                          Mountain Boar (Boar, 10-11, Loch Modan)
    [1191] = { 26177, 2, },                         -- Charge (Rank 2)                                          Mangy Mountain Boar (Boar, 14-15, Loch Modan)
    [1192] = { 26177, 2, },                         -- Charge (Rank 2)                                          Elder Mountain Boar (Boar, 16-17, Loch Modan)
    [1195] = { 17255, 2, },                         -- Bite (Rank 2)                                            Forest Lurker (Spider, 10-11, Loch Modan)
    [1196] = { 16827, 1, },                         -- Claw (Rank 1)                                            Ice Claw Bear (Bear, 7-8, Dun Morogh)
    [1199] = { 1742, 1, },                          -- Cower (Rank 1)                                           Juvenile Snow Leopard (Cat, 5-6, Dun Morogh)
    [1216] = { 16829, 3, },                         -- Claw (Rank 3)                                            Shore Crawler (Crab, 17-18, Westfall)
    [1225] = { 16829, 3, },                         -- Claw (Rank 3)                                            Ol' Sooty (Bear, 20, Loch Modan)
    [1258] = { 17257, 4, 24605, 2, },               -- Bite (Rank 4), Furious Howl (Rank 2)                     Black Ravager Mastiff (Wolf, 25-26, Duskwood)
    [1505] = { 17253, 1, },                         -- Bite (Rank 1)                                            Night Web Spider (Spider, 3-4, Tirisfal Glades)
    [1509] = { 17253, 1, },                         -- Bite (Rank 1)                                            Ragged Scavenger (Wolf, 2-3, Tirisfal Glades)
    [1553] = { 1742, 1, },                          -- Cower (Rank 1)                                           Greater Duskbat (Bat, 6-7, Tirisfal Glades)
    [1555] = { 17255, 2, },                         -- Bite (Rank 2)                                            Vicious Night Web Spider (Spider, 9-10, Tirisfal Glades)
    [1557] = { 26187, 2, },                         -- Thunderstomp (Rank 2)                                    Elder Mistvale Gorilla (Gorilla, 40-41, Stranglethorn Vale)
    [1688] = { 17253, 1, },                         -- Bite (Rank 1)                                            Night Web Matriarch (Spider, 5, Tirisfal Glades)
    [1689] = { 7371, 1, },                          -- Charge (Rank 1)                                          Scarred Crag Boar (Boar, 9-10, Dun Morogh)
    [1693] = { 17255, 2, },                         -- Bite (Rank 2)                                            Loch Crocolisk (Crocolisk, 14-15, Loch Modan)
    [1713] = { 23109, 2, 24452, 2, },               -- Dash (Rank 2), Prowl (Rank 2)                            Elder Shadowmaw Panther (Cat, 42-43, Stranglethorn Vale)
    [1765] = { 17255, 2, 24604, 1, },               -- Bite (Rank 2), Furious Howl (Rank 1)                     Worg (Wolf, 10-11, Silverpine Forest)
    [1778] = { 16828, 2, },                         -- Claw (Rank 2)                                            Ferocious Grizzled Bear (Bear, 11-12, Silverpine Forest)
    [1809] = { 23148, 3, 24578, 3, },               -- Dive (Rank 3), Screech (Rank 3)                          Carrion Vulture (Carrion Bird, 50-52, Western Plaguelands)
    [1816] = { 3010, 7, },                          -- Claw (Rank 7)                                            Diseased Grizzly (Bear, 55-56, Western Plaguelands)
    [1817] = { 17260, 7, },                         -- Bite (Rank 7)                                            Diseased Wolf (Wolf, 53-54, Western Plaguelands)
    [1824] = { 17260, 7, },                         -- Bite (Rank 7)                                            Plague Lurker (Spider, 54-55, Western Plaguelands)
    [1922] = { 17253, 1, },                         -- Bite (Rank 1)                                            Gray Forest Wolf (Wolf, 7-8, Elwynn Forest)
    [1923] = { 17256, 3, },                         -- Bite (Rank 3)                                            Bloodsnout Worg (Wolf, 16-17, Silverpine Forest)
    [1961] = { 16828, 2, },                         -- Claw (Rank 2)                                            Mangeclaw (Bear, 11, Dun Morogh)
    [1984] = { 7371, 1, },                          -- Charge (Rank 1)                                          Young Thistle Boar (Boar, 1-2, Teldrassil)
    [1985] = { 7371, 1, },                          -- Charge (Rank 1)                                          Thistle Boar (Boar, 2-3, Teldrassil)
    [1994] = { 17253, 1, },                         -- Bite (Rank 1)                                            Githyiss the Vile (Spider, 5, Teldrassil)
    [1995] = { 16827, 1, },                         -- Claw (Rank 1)                                            Strigid Owl (Owl, 5-6, Teldrassil)
    [1997] = { 16828, 2, },                         -- Claw (Rank 2)                                            Strigid Hunter (Owl, 8-9, Teldrassil)
    [1999] = { 17253, 1, },                         -- Bite (Rank 1)                                            Webwood Venomfang (Spider, 7-8, Teldrassil)
    [2000] = { 17255, 2, },                         -- Bite (Rank 2)                                            Webwood Silkspinner (Spider, 8-9, Teldrassil)
    [2001] = { 17255, 2, },                         -- Bite (Rank 2)                                            Giant Webwood Spider (Spider, 10-11, Teldrassil)
    [2042] = { 1742, 1, },                          -- Cower (Rank 1)                                           Nightsaber (Cat, 5-6, Teldrassil)
    [2070] = { 1742, 1, },                          -- Cower (Rank 1)                                           Moonstalker Runt (Cat, 10-11, Darkshore)
    [2089] = { 17257, 4, },                         -- Bite (Rank 4)                                            Giant Wetlands Crocolisk (Crocolisk, 25-26, Wetlands)
    [2163] = { 16828, 2, },                         -- Claw (Rank 2)                                            Thistle Bear (Bear, 11-12, Darkshore)
    [2232] = { 16828, 2, },                         -- Claw (Rank 2)                                            Tide Crawler (Crab, 12-14, Darkshore)
    [2237] = { 1753, 2, },                          -- Cower (Rank 2)                                           Moonstalker Sire (Cat, 17-18, Darkshore)
    [2321] = { 1742, 1, },                          -- Cower (Rank 1)                                           Foreststrider Fledgling (Tallstrider, 11-13, Darkshore)
    [2323] = { 1753, 2, },                          -- Cower (Rank 2)                                           Giant Foreststrider (Tallstrider, 17-19, Darkshore)
    [2348] = { 17257, 4, },                         -- Bite (Rank 4)                                            Elder Moss Creeper (Spider, 26-27, Hillsbrad Foothills)
    [2349] = { 17257, 4, },                         -- Bite (Rank 4)                                            Giant Moss Creeper (Spider, 24-25, Hillsbrad Foothills)
    [2350] = { 17256, 3, },                         -- Bite (Rank 3)                                            Forest Moss Creeper (Spider, 20-21, Hillsbrad Foothills)
    [2351] = { 16829, 3, },                         -- Claw (Rank 3)                                            Gray Bear (Bear, 21-22, Hillsbrad Foothills)
    [2384] = { 1753, 2, },                          -- Cower (Rank 2)                                           Starving Mountain Lion (Cat, 23-24, Hillsbrad Foothills)
    [2385] = { 1754, 3, },                          -- Cower (Rank 3)                                           Feral Mountain Lion (Cat, 27-28, Hillsbrad Foothills)
    [2406] = { 24450, 1, },                         -- Prowl (Rank 1)                                           Mountain Lion (Cat, 32-33, Alterac Mountains)
    [2408] = { 17257, 4, 26064, 1, },               -- Bite (Rank 4), Shell Shield (Rank 1)                     Snapjaw (Turtle, 30-31, Hillsbrad Foothills)
    [2476] = { 17256, 3, },                         -- Bite (Rank 3)                                            Large Loch Crocolisk (Crocolisk, 22, Loch Modan)
    [2505] = { 17260, 7, },                         -- Bite (Rank 7)                                            Saltwater Snapjaw (Turtle, 49-50, The Hinterlands)
    [2522] = { 1756, 5, 24453, 3, },                -- Cower (Rank 5), Prowl (Rank 3)                           Jaguero Stalker (Cat, 50, Stranglethorn Vale)
    [2563] = { 17258, 5, },                         -- Bite (Rank 5)                                            Plains Creeper (Spider, 32-33, Arathi Highlands)
    [2565] = { 17258, 5, },                         -- Bite (Rank 5)                                            Giant Plains Creeper (Spider, 35-36, Arathi Highlands)
    [2578] = { 23145, 1, },                         -- Dive (Rank 1)                                            Young Mesa Buzzard (Carrion Bird, 31-32, Arathi Highlands)
    [2579] = { 23145, 1, },                         -- Dive (Rank 1)                                            Mesa Buzzard (Carrion Bird, 34-35, Arathi Highlands)
    [2681] = { 17260, 7, 23110, 3, },               -- Bite (Rank 7), Dash (Rank 3)                             Vilebranch Raiding Wolf (Wolf, 50-51, The Hinterlands)
    [2727] = { 17258, 5, 23099, 1, },               -- Bite (Rank 5), Dash (Rank 1)                             Crag Coyote (Wolf, 35-36, Badlands)
    [2728] = { 23099, 1, },                         -- Dash (Rank 1)                                            Feral Crag Coyote (Wolf, 37-38, Badlands)
    [2729] = { 23099, 1, 24605, 2, },               -- Dash (Rank 1), Furious Howl (Rank 2)                     Elder Crag Coyote (Wolf, 39-40, Badlands)
    [2730] = { 23109, 2, },                         -- Dash (Rank 2)                                            Rabid Crag Coyote (Wolf, 42-43, Badlands)
    [2731] = { 1755, 4, 24450, 1, },                -- Cower (Rank 4), Prowl (Rank 1)                           Ridge Stalker (Cat, 36-37, Badlands)
    [2732] = { 1755, 4, },                          -- Cower (Rank 4)                                           Ridge Huntress (Cat, 38-39, Badlands)
    [2734] = { 23109, 2, 24452, 2, },               -- Dash (Rank 2), Prowl (Rank 2)                            Ridge Stalker Patriarch (Cat, 40-41, Badlands)
    [2753] = { 17259, 6, },                         -- Bite (Rank 6)                                            Barnabus (Wolf, 38, Badlands)
    [2850] = { 23099, 1, },                         -- Dash (Rank 1)                                            Broken Tooth (Cat, 37, Badlands)
    [2924] = { 24603, 3, },                         -- Furious Howl (Rank 3)                                    Silvermane Wolf (Wolf, 43-44, The Hinterlands)
    [2925] = { 24605, 2, },                         -- Furious Howl (Rank 2)                                    Silvermane Howler (Wolf, 45-46, The Hinterlands)
    [2926] = { 23109, 2, },                         -- Dash (Rank 2)                                            Silvermane Stalker (Wolf, 47-48, The Hinterlands)
    [2931] = { 23148, 3, },                         -- Dive (Rank 3)                                            Zaricotl (Carrion Bird, 55, Badlands)
    [2954] = { 7371, 1, },                          -- Charge (Rank 1)                                          Bristleback Battleboar (Boar, 4-5, Mulgore)
    [2957] = { 1742, 1, },                          -- Cower (Rank 1)                                           Elder Plainstrider (Tallstrider, 8-9, Mulgore)
    [2958] = { 17253, 1, },                         -- Bite (Rank 1)                                            Prairie Wolf (Wolf, 5-6, Mulgore)
    [2959] = { 17253, 1, },                         -- Bite (Rank 1)                                            Prairie Stalker (Wolf, 7-8, Mulgore)
    [2960] = { 17255, 2, 24604, 1, },               -- Bite (Rank 2), Furious Howl (Rank 1)                     Prairie Wolf Alpha (Wolf, 9-10, Mulgore)
    [2966] = { 7371, 1, },                          -- Charge (Rank 1)                                          Battleboar (Boar, 3-4, Mulgore)
    [3035] = { 1742, 1, },                          -- Cower (Rank 1)                                           Flatland Cougar (Cat, 7-8, Mulgore)
    [3068] = { 1742, 1, },                          -- Cower (Rank 1)                                           Mazzranache (Tallstrider, 9, Mulgore)
    [3098] = { 7371, 1, },                          -- Charge (Rank 1)                                          Mottled Boar (Boar, 1-2, Durotar)
    [3099] = { 7371, 1, },                          -- Charge (Rank 1)                                          Dire Mottled Boar (Boar, 6-7, Durotar)
    [3100] = { 7371, 1, },                          -- Charge (Rank 1)                                          Elder Mottled Boar (Boar, 8-9, Durotar)
    [3106] = { 16827, 1, },                         -- Claw (Rank 1)                                            Pygmy Surf Crawler (Crab, 5-6, Durotar)
    [3108] = { 16828, 2, },                         -- Claw (Rank 2)                                            Encrusted Surf Crawler (Crab, 9-10, Durotar)
    [3110] = { 17253, 1, },                         -- Bite (Rank 1)                                            Dreadmaw Crocolisk (Crocolisk, 9-11, Durotar)
    [3121] = { 1742, 1, },                          -- Cower (Rank 1)                                           Durotar Tiger (Cat, 7-8, Durotar)
    [3124] = { 16827, 1, },                         -- Claw (Rank 1)                                            Scorpid Worker (Scorpid, 3, Durotar)
    [3127] = { 16828, 2, 24640, 1, },               -- Claw (Rank 2), Scorpid Poison (Rank 1)                   Venomtail Scorpid (Scorpid, 9-10, Durotar)
    [3225] = { 7371, 1, },                          -- Charge (Rank 1)                                          Corrupted Mottled Boar (Boar, 10-11, Durotar)
    [3226] = { 24640, 1, },                         -- Scorpid Poison (Rank 1)                                  Corrupted Scorpid (Scorpid, 10-11, Durotar)
    [3241] = { 1753, 2, },                          -- Cower (Rank 2)                                           Savannah Patriarch (Cat, 15-16, The Barrens)
    [3245] = { 1753, 2, },                          -- Cower (Rank 2)                                           Ornery Plainstrider (Tallstrider, 16-17, The Barrens)
    [3246] = { 1742, 1, },                          -- Cower (Rank 1)                                           Fleeting Plainstrider (Tallstrider, 12-13, The Barrens)
    [3247] = { 25008, 2, },                         -- Lightning Breath (Rank 2)                                Thunderhawk Hatchling (Wind Serpent, 18-20, The Barrens)
    [3249] = { 25008, 2, },                         -- Lightning Breath (Rank 2)                                Greater Thunderhawk (Wind Serpent, 23-24, The Barrens)
    [3250] = { 24640, 1, },                         -- Scorpid Poison (Rank 1)                                  Silithid Creeper (Scorpid, 20-21, The Barrens)
    [3252] = { 24640, 1, },                         -- Scorpid Poison (Rank 1)                                  Silithid Swarmer (Scorpid, 21-22, The Barrens)
    [3281] = { 16827, 1, },                         -- Claw (Rank 1)                                            Sarkoth (Scorpid, 4, Durotar)
    [3424] = { 25008, 2, },                         -- Lightning Breath (Rank 2)                                Thunderhawk Cloudscraper (Wind Serpent, 20-22, The Barrens)
    [3461] = { 17255, 2, },                         -- Bite (Rank 2)                                            Oasis Snapjaw (Turtle, 15-16, The Barrens)
    [3472] = { 25009, 3, },                         -- Lightning Breath (Rank 3)                                Washte Pawne (Wind Serpent, 25, The Barrens)
    [3619] = { 16829, 3, },                         -- Claw (Rank 3)                                            Ghost Saber (Cat, 19-20, Darkshore)
    [3630] = { 25008, 2, },                         -- Lightning Breath (Rank 2)                                Deviate Coiler (Wind Serpent, 15-16, The Wailing Caverns)
    [3631] = { 25008, 2, },                         -- Lightning Breath (Rank 2)                                Deviate Stinglash (Wind Serpent, 16-17, The Wailing Caverns)
    [3653] = { 17256, 3, 26064, 1, },               -- Bite (Rank 3), Shell Shield (Rank 1)                     Kresh (Turtle, 20, The Wailing Caverns)
    [3809] = { 16829, 3, },                         -- Claw (Rank 3)                                            Ashenvale Bear (Bear, 21-22, Ashenvale)
    [3810] = { 16830, 4, },                         -- Claw (Rank 4)                                            Elder Ashenvale Bear (Bear, 25-26, Ashenvale)
    [3812] = { 16829, 3, },                         -- Claw (Rank 3)                                            Clattering Crawler (Crab, 19-20, Ashenvale)
    [3821] = { 17257, 4, },                         -- Bite (Rank 4)                                            Wildthorn Lurker (Spider, 28-29, Ashenvale)
    [3823] = { 17256, 3, },                         -- Bite (Rank 3)                                            Ghostpaw Runner (Wolf, 19-20, Ashenvale)
    [3825] = { 17257, 4, 24605, 2, },               -- Bite (Rank 4), Furious Howl (Rank 2)                     Ghostpaw Alpha (Wolf, 27-28, Ashenvale)
    [4005] = { 17256, 3, },                         -- Bite (Rank 3)                                            Deepmoss Creeper (Spider, 16-17, Stonetalon Mountains)
    [4006] = { 17256, 3, },                         -- Bite (Rank 3)                                            Deepmoss Webspinner (Spider, 19-20, Stonetalon Mountains)
    [4067] = { 1753, 2, },                          -- Cower (Rank 2)                                           Twilight Runner (Cat, 23-24, Stonetalon Mountains)
    [4117] = { 25009, 3, },                         -- Lightning Breath (Rank 3)                                Cloud Serpent (Wind Serpent, 25-26, Thousand Needles)
    [4118] = { 25009, 3, },                         -- Lightning Breath (Rank 3)                                Venomous Cloud Serpent (Wind Serpent, 26-28, Thousand Needles)
    [4119] = { 25009, 3, },                         -- Lightning Breath (Rank 3)                                Elder Cloud Serpent (Wind Serpent, 27-29, Thousand Needles)
    [4126] = { 1754, 3, },                          -- Cower (Rank 3)                                           Crag Stalker (Cat, 25-26, Thousand Needles)
    [4139] = { 24583, 2, },                         -- Scorpid Poison (Rank 2)                                  Scorpid Terror (Scorpid, 33-34, Thousand Needles)
    [4140] = { 16830, 4, 24583, 2, },               -- Claw (Rank 4), Scorpid Poison (Rank 2)                   Scorpid Reaver (Scorpid, 31-32, Thousand Needles)
    [4143] = { 17258, 5, },                         -- Bite (Rank 5)                                            Sparkleshell Snapper (Turtle, 34-35, Thousand Needles)
    [4158] = { 24577, 2, },                         -- Screech (Rank 2)                                         Salt Flats Vulture (Carrion Bird, 32-34, Thousand Needles)
    [4304] = { 23099, 1, },                         -- Dash (Rank 1)                                            Scarlet Tracking Hound (Hyena, 33-34, Scarlet Monastery)
    [4341] = { 17258, 5, },                         -- Bite (Rank 5)                                            Drywallow Crocolisk (Crocolisk, 35-36, Dustwallow Marsh)
    [4343] = { 16831, 5, },                         -- Claw (Rank 5)                                            Drywallow Snapper (Crocolisk, 37-38, Dustwallow Marsh)
    [4344] = { 17258, 5, },                         -- Bite (Rank 5)                                            Mottled Drywallow Crocolisk (Crocolisk, 38-39, Dustwallow Marsh)
    [4345] = { 17259, 6, },                         -- Bite (Rank 6)                                            Drywallow Daggermaw (Crocolisk, 40-41, Dustwallow Marsh)
    [4400] = { 17259, 6, },                         -- Bite (Rank 6)                                            Mudrock Snapjaw (Turtle, 41-42, Dustwallow Marsh)
    [4411] = { 17258, 5, },                         -- Bite (Rank 5)                                            Darkfang Lurker (Spider, 36-37, Dustwallow Marsh)
    [4412] = { 17258, 5, },                         -- Bite (Rank 5)                                            Darkfang Creeper (Spider, 38-39, Dustwallow Marsh)
    [4413] = { 17258, 5, },                         -- Bite (Rank 5)                                            Darkfang Spider (Spider, 35-36, Dustwallow Marsh)
    [4396] = { 17258, 5, },                         -- Bite (Rank 5)                                            Mudrock Tortoise (Turtle, 36-37, Dustwallow Marsh)
    [4511] = { 26178, 3, },                         -- Charge (Rank 3)                                          Agam'ar (Boar, 24-25, Razorfen Kraul)
    [4512] = { 26178, 3, },                         -- Charge (Rank 3)                                          Rotting Agam'ar (Boar, 28, Razorfen Kraul)
    [4514] = { 26178, 3, },                         -- Charge (Rank 3)                                          Raging Agam'ar (Boar, 25-26, Razorfen Kraul)
    [4538] = { 1754, 3, 23145, 1, },                -- Cower (Rank 3), Dive (Rank 1)                            Kraul Bat (Bat, 30-31, Razorfen Kraul)
    [4539] = { 1754, 3, 23145, 1, },                -- Cower (Rank 3), Dive (Rank 1)                            Greater Kraul Bat (Bat, 32, Razorfen Kraul)
    [4662] = { 23099, 1, },                         -- Dash (Rank 1)                                            Magram Bonepaw (Hyena, 37-38, Desolace)
    [4688] = { 23099, 1, },                         -- Dash (Rank 1)                                            Bonepaw Hyena (Hyena, 33-35, Desolace)
    [4693] = { 23145, 1, },                         -- Dive (Rank 1)                                            Dread Flyer (Carrion Bird, 36-37, Desolace)
    [4694] = { 24577, 2, },                         -- Screech (Rank 2)                                         Dread Ripper (Carrion Bird, 39-40, Desolace)
    [4696] = { 16830, 4, 24583, 2, },               -- Claw (Rank 4), Scorpid Poison (Rank 2)                   Scorpashi Snapper (Scorpid, 30-31, Desolace)
    [4697] = { 16831, 5, },                         -- Claw (Rank 5)                                            Scorpashi Lasher (Scorpid, 34-35, Desolace)
    [4699] = { 24583, 2, },                         -- Scorpid Poison (Rank 2)                                  Scorpashi Venomlash (Scorpid, 38-39, Desolace)
    [4821] = { 16829, 3, },                         -- Claw (Rank 3)                                            Skittering Crustacean (Crab, 22-23, Blackfathom Deeps)
    [4822] = { 16829, 3, },                         -- Claw (Rank 3)                                            Snapping Crustacean (Crab, 23-24, Blackfathom Deeps)
    [4823] = { 16830, 4, },                         -- Claw (Rank 4)                                            Barbed Crustacean (Crab, 25-26, Blackfathom Deeps)
    [4824] = { 17256, 3, 26064, 1, },               -- Bite (Rank 3), Shell Shield (Rank 1)                     Aku'mai Fisher (Turtle, 23-24, Blackfathom Deeps)
    [4825] = { 17257, 4, 26064, 1, },               -- Bite (Rank 4), Shell Shield (Rank 1)                     Aku'mai Snapjaw (Turtle, 26-27, Blackfathom Deeps)
    [4841] = { 17259, 6, },                         -- Bite (Rank 6)                                            Deadmire (Crocolisk, 45, Dustwallow Marsh)
    [4861] = { 1755, 4, 23145, 1, 24577, 2, },      -- Cower (Rank 4), Dive (Rank 1), Screech (Rank 2)          Shrike Bat (Bat, 38-39, Uldaman)
    [4887] = { 17257, 4, 26064, 1, },               -- Bite (Rank 4), Shell Shield (Rank 1)                     Ghamoo-ra (Turtle, 25, Blackfathom Deeps)
    [4950] = { 23099, 1, },                         -- Dash (Rank 1)                                            Spot (Wolf, 35, Dustwallow Marsh)
    [5056] = { 25008, 2, },                         -- Lightning Breath (Rank 2)                                Deviate Dreadfang (Wind Serpent, 20-21, The Wailing Caverns)
    [5262] = { 26187, 2, },                         -- Thunderstomp (Rank 2)                                    Groddoc Thunderer (Gorilla, 49-50, Feralas)
    [5268] = { 16832, 6, },                         -- Claw (Rank 6)                                            Ironfur Bear (Bear, 41-42, Feralas)
    [5274] = { 3010, 7, },                          -- Claw (Rank 7)                                            Ironfur Patriarch (Bear, 48-49, Feralas)
    [5286] = { 17259, 6, 23109, 2, 24603, 3, },     -- Bite (Rank 6), Dash (Rank 2), Furious Howl (Rank 3)      Longtooth Runner (Wolf, 40-41, Feralas)
    [5287] = { 24605, 2, },                         -- Furious Howl (Rank 2)                                    Longtooth Howler (Wolf, 43-44, Feralas)
    [5291] = { 25011, 5, },                         -- Lightning Breath (Rank 5)                                Hakkari Frostwing (Wind Serpent, 49-50, The Temple of Atal'Hakkar)
    [5307] = { 23147, 2, 25010, 4, },               -- Dive (Rank 2), Lightning Breath (Rank 4)                 Vale Screecher (Wind Serpent, 41-43, Feralas)
    [5308] = { 23147, 2, 25010, 4, },               -- Dive (Rank 2), Lightning Breath (Rank 4)                 Rogue Vale Screecher (Wind Serpent, 44-46, Feralas)
    [5349] = { 23147, 2, 25011, 5, },               -- Dive (Rank 2), Lightning Breath (Rank 5)                 Arash-ethis (Wind Serpent, 49, Feralas)
    [5352] = { 16832, 6, },                         -- Claw (Rank 6)                                            Old Grizzlegut (Bear, 43, Feralas)
    [5356] = { 17259, 6, 24603, 3, },               -- Bite (Rank 6), Furious Howl (Rank 3)                     Snarler (Wolf, 42, Feralas)
    [5422] = { 16832, 6, 24586, 3, },               -- Claw (Rank 6), Scorpid Poison (Rank 3)                   Scorpid Hunter (Scorpid, 40-41, Tanaris)
    [5423] = { 24586, 3, },                         -- Scorpid Poison (Rank 3)                                  Scorpid Tail Lasher (Scorpid, 43-44, Tanaris)
    [5424] = { 24586, 3, },                         -- Scorpid Poison (Rank 3)                                  Scorpid Dunestalker (Scorpid, 46-47, Tanaris)
    [5425] = { 23109, 2, },                         -- Dash (Rank 2)                                            Starving Blisterpaw (Hyena, 41-42, Tanaris)
    [5426] = { 23109, 2, },                         -- Dash (Rank 2)                                            Blisterpaw Hyena (Hyena, 44-45, Tanaris)
    [5427] = { 23109, 2, },                         -- Dash (Rank 2)                                            Rabid Blisterpaw (Hyena, 47-48, Tanaris)
    [5428] = { 23147, 2, },                         -- Dive (Rank 2)                                            Roc (Carrion Bird, 42-43, Tanaris)
    [5429] = { 23147, 2, },                         -- Dive (Rank 2)                                            Fire Roc (Carrion Bird, 43-45, Tanaris)
    [5430] = { 23147, 2, },                         -- Dive (Rank 2)                                            Searing Roc (Carrion Bird, 47-49, Tanaris)
    [5708] = { 23148, 3, 25011, 5, },               -- Dive (Rank 3), Lightning Breath (Rank 5)                 Spawn of Hakkar (Wind Serpent, 51, The Temple of Atal'Hakkar)
    [5756] = { 25008, 2, },                         -- Lightning Breath (Rank 2)                                Deviate Venomwing (Wind Serpent, 20-21, The Wailing Caverns)
    [5823] = { 16828, 2, 24640, 1, },               -- Claw (Rank 2), Scorpid Poison (Rank 1)                   Death Flayer (Scorpid, 11, Durotar)
    [5937] = { 16831, 5, 24583, 2, },               -- Claw (Rank 5), Scorpid Poison (Rank 2)                   Vile Sting (Scorpid, 35, Thousand Needles)
    [5992] = { 26201, 5, },                         -- Charge (Rank 5)                                          Ashmane Boar (Boar, 48-49, Blasted Lands)
    [6013] = { 23145, 1, },                         -- Dive (Rank 1)                                            Wayward Buzzard (Carrion Bird, 35-37, Badlands)
    [6516] = { 26188, 3, },                         -- Thunderstomp (Rank 3)                                    Un'Goro Thunderer (Gorilla, 52-53, Un'Goro Crater)
    [6585] = { 17260, 7, },                         -- Bite (Rank 7)                                            Uhk'loc (Gorilla, 52, Un'Goro Crater)
    [6788] = { 16829, 3, },                         -- Claw (Rank 3)                                            Den Mother (Bear, 18-19, Darkshore)
    [7022] = { 16831, 5, },                         -- Claw (Rank 5)                                            Venomlash Scorpid (Scorpid, 39-40, Uldaman)
    [7055] = { 23110, 3, },                         -- Dash (Rank 3)                                            Blackrock Worg (Wolf, 54-55, Burning Steppes)
    [7078] = { 24583, 2, },                         -- Scorpid Poison (Rank 2)                                  Cleft Scorpid (Scorpid, 35-36, Uldaman)
    [7097] = { 23147, 2, 24578, 3, },               -- Dive (Rank 2), Screech (Rank 3)                          Ironbeak Owl (Owl, 48-49, Felwood)
    [7098] = { 23148, 3, },                         -- Dive (Rank 3)                                            Ironbeak Screecher (Owl, 52-53, Felwood)
    [7099] = { 3010, 7, 23148, 3, },                -- Claw (Rank 7), Dive (Rank 3)                             Ironbeak Hunter (Owl, 50-51, Felwood)
    [7319] = { 17255, 2, },                         -- Bite (Rank 2)                                            Lady Sathrah (Spider, 12, Teldrassil)
    [7405] = { 24586, 3, },                         -- Scorpid Poison (Rank 3)                                  Deadly Cleft Scorpid (Scorpid, 42-43, Uldaman)
    [7430] = { 16697, 6, },                         -- Cower (Rank 6)                                           Frostsaber Cub (Cat, 55-56, Winterspring)
    [7432] = { 23110, 3, 24453, 3, },               -- Dash (Rank 3), Prowl (Rank 3)                            Frostsaber Stalker (Cat, 59-60, Winterspring)
    [7433] = { 23110, 3, },                         -- Dash (Rank 3)                                            Frostsaber Huntress (Cat, 58-59, Winterspring)
    [7444] = { 3010, 7, },                          -- Claw (Rank 7)                                            Shardtooth Bear (Bear, 53-54, Winterspring)
    [7445] = { 3009, 8, },                          -- Claw (Rank 8)                                            Elder Shardtooth (Bear, 57-58, Winterspring)
    [7455] = { 3010, 7, 23148, 3, },                -- Claw (Rank 7), Dive (Rank 3)                             Winterspring Owl (Owl, 54-56, Winterspring)
    [7456] = { 3009, 8, 23148, 3, 24579, 4, },      -- Claw (Rank 8), Dive (Rank 3), Screech (Rank 4)           Winterspring Screecher (Owl, 57-59, Winterspring)
    [7803] = { 24586, 3, },                         -- Scorpid Poison (Rank 3)                                  Scorpid Duneburrower (Scorpid, 46-47, Tanaris)
    [8207] = { 23147, 2, },                         -- Dive (Rank 2)                                            Greater Firebird (Carrion Bird, 46, Tanaris)
    [8211] = { 17259, 6, 23109, 2, },               -- Bite (Rank 6), Dash (Rank 2)                             Old Cliff Jumper (Wolf, 42, The Hinterlands)
    [8277] = { 17260, 7, },                         -- Bite (Rank 7)                                            Rekk'tilac (Spider, 48, Searing Gorge)
    [8299] = { 23148, 3, },                         -- Dive (Rank 3)                                            Spiteflayer (Carrion Bird, 52, Blasted Lands)
    [8300] = { 23110, 3, },                         -- Dash (Rank 3)                                            Ravage (Hyena, 51, Blasted Lands)
    [8301] = { 3010, 7, },                          -- Claw (Rank 7)                                            Clack the Reaver (Scorpid, 53, Blasted Lands)
    [8303] = { 26201, 5, 23110, 3, },               -- Charge (Rank 5), Dash (Rank 3)                           Grunter (Boar, 50, Blasted Lands)
    [8336] = { 25011, 5, },                         -- Lightning Breath (Rank 5)                                Hakkari Sapper (Wind Serpent, 49-50, The Temple of Atal'Hakkar)
    [8393] = { 17256, 3, },                         -- Bite (Rank 3)                                            Deviate Crocolisk (Crocolisk, 18-19, The Wailing Caverns)
    [8600] = { 1756, 5, 23148, 3, },                -- Cower (Rank 5), Dive (Rank 3)                            Plaguebat (Bat, 53-55, Eastern Plaguelands)
    [8601] = { 1756, 5, },                          -- Cower (Rank 5)                                           Noxious Plaguebat (Bat, 54-56, Eastern Plaguelands)
    [8602] = { 16697, 6, 24579, 4, },               -- Cower (Rank 6), Screech (Rank 4)                         Monstrous Plaguebat (Bat, 56-58, Eastern Plaguelands)
    [8762] = { 17259, 6, },                         -- Bite (Rank 6)                                            Timberweb Recluse (Spider, 47-48, Azshara)
    [8926] = { 24586, 3, },                         -- Scorpid Poison (Rank 3)                                  Deep Stinger (Scorpid, 50-52, Blackrock Depths)
    [8927] = { 23148, 3, 24578, 3, },               -- Dive (Rank 3), Screech (Rank 3)                          Dark Screecher (Bat, 50-52, Blackrock Depths)
    [8933] = { 17260, 7, },                         -- Bite (Rank 7)                                            Cave Creeper (Spider, 50-52, Blackrock Depths)
    [8958] = { 3010, 7, },                          -- Claw (Rank 7)                                            Angerclaw Mauler (Bear, 49-50, Felwood)
    [8959] = { 17259, 6, 24603, 3, },               -- Bite (Rank 6), Furious Howl (Rank 3)                     Felpaw Wolf (Wolf, 47-48, Felwood)
    [8961] = { 17260, 7, },                         -- Bite (Rank 7)                                            Felpaw Ravager (Wolf, 51-52, Felwood)
    [9416] = { 23110, 3, },                         -- Dash (Rank 3)                                            Scarshield Worg (Wolf, 53-54, Blackrock Spire)
    [9622] = { 26188, 3, },                         -- Thunderstomp (Rank 3)                                    U'cha (Gorilla, 55, Un'Goro Crater)
    [9691] = { 24586, 3, },                         -- Scorpid Poison (Rank 3)                                  Venomtip Scorpid (Scorpid, 52-53, Burning Steppes)
    [9695] = { 3010, 7, 24586, 3, },                -- Claw (Rank 7), Scorpid Poison (Rank 3)                   Deathlash Scorpid (Scorpid, 54-55, Burning Steppes)
    [9696] = { 17261, 8, 23110, 3, 24597, 4, },     -- Bite (Rank 8), Dash (Rank 3), Furious Howl (Rank 4)      Bloodaxe Worg (Wolf, 56-57, Blackrock Spire)
    [9698] = { 24587, 4, },                         -- Scorpid Poison (Rank 4)                                  Firetail Scorpid (Scorpid, 56-57, Burning Steppes)
    [10200] = { 23110, 3, },                        -- Dash (Rank 3)                                            Rak'Shiri (Cat, 57, Winterspring)
    [10644] = { 24604, 1, },                        -- Furious Howl (Rank 1)                                    Mist Howler (Wolf, 22, Ashenvale)
    [11357] = { 25012, 6, },                        -- Lightning Breath (Rank 6)                                Son of Hakkar (Wind Serpent, 60, Zul'Gurub)
    [11365] = { 23110, 3, },                        -- Dash (Rank 3)                                            Zulian Panther (Cat, 60, Zul'Gurub)
    [11735] = { 24586, 3, },                        -- Scorpid Poison (Rank 3)                                  Stonelash Scorpid (Scorpid, 54-55, Silithus)
    [11736] = { 24587, 4, },                        -- Scorpid Poison (Rank 4)                                  Stonelash Pincer (Scorpid, 56-57, Silithus)
    [11737] = { 24587, 4, },                        -- Scorpid Poison (Rank 4)                                  Stonelash Flayer (Scorpid, 58-59, Silithus)
    [11921] = { 17256, 3, },                        -- Bite (Rank 3)                                            Besseleth (Spider, 21, Stonetalon Mountains)
    [14223] = { 17257, 4, 26064, 1, },              -- Bite (Rank 4), Shell Shield (Rank 1)                     Cranky Benj (Turtle, 32, Alterac Mountains)
    [14233] = { 17259, 6, },                        -- Bite (Rank 6)                                            Ripscale (Crocolisk, 39, Dustwallow Marsh)
    [14266] = { 17256, 3, },                        -- Bite (Rank 3)                                            Shanda the Spinner (Spider, 19, Loch Modan)
    [14279] = { 17256, 3, },                        -- Bite (Rank 3)                                            Creepthess (Spider, 24, Hillsbrad Foothills)
    [14339] = { 17259, 6, 24603, 3, },              -- Bite (Rank 6), Furious Howl (Rank 3)                     Death Howl (Wolf, 49, Felwood)
    [14343] = { 3010, 7, 23148, 3, },               -- Claw (Rank 7), Dive (Rank 3)                             Olm the Wise (Owl, 52, Felwood)
    [14344] = { 3010, 7, },                         -- Claw (Rank 7)                                            Mongress (Bear, 50, Felwood)
    [14476] = { 24587, 4, },                        -- Scorpid Poison (Rank 4)                                  Krellack (Scorpid, 56, Silithus)
    [16117] = { 27685, 6, },                        -- Charge (Rank 6)                                          Plagued Swine (Boar, 60, Eastern Plaguelands)

}

--Now we make it available in all files in our addon.
namespace.ABILITY_LIST = ABILITY_LIST
